| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | List of all members
Tp::RequestableChannelClassSpec Class Reference
Wrapper classes

The RequestableChannelClassSpec class represents a Telepathy requestable channel class. More...

`#include <TelepathyQt/RequestableChannelClassSpec>`

## Public Member Functions

| RequestableChannelClassSpec ()
| RequestableChannelClassSpec (const RequestableChannelClass &rcc)
| RequestableChannelClassSpec (const RequestableChannelClassSpec &other)
| ~RequestableChannelClassSpec ()
bool | isValid () const
RequestableChannelClassSpec & | operator= (const RequestableChannelClassSpec &other)
bool | operator== (const RequestableChannelClassSpec &other) const
bool | supports (const RequestableChannelClassSpec &spec) const
QString | channelType () const
bool | hasTargetHandleType () const
HandleType | targetHandleType () const
bool | hasFixedProperty (const QString &name) const
QVariant | fixedProperty (const QString &name) const
QVariantMap | fixedProperties () const
bool | allowsProperty (const QString &name) const
QStringList | allowedProperties () const
RequestableChannelClass | bareClass () const

## Static Public Member Functions

static RequestableChannelClassSpec | textChat ()
static RequestableChannelClassSpec | textChatroom ()
static RequestableChannelClassSpec | audioCall ()
static RequestableChannelClassSpec | audioCallWithVideoAllowed ()
static RequestableChannelClassSpec | videoCall ()
static RequestableChannelClassSpec | videoCallWithAudioAllowed ()
static RequestableChannelClassSpec | streamedMediaCall ()
static RequestableChannelClassSpec | streamedMediaAudioCall ()
static RequestableChannelClassSpec | streamedMediaVideoCall ()
static RequestableChannelClassSpec | streamedMediaVideoCallWithAudio ()
static RequestableChannelClassSpec | fileTransfer ()
static RequestableChannelClassSpec | conferenceTextChat ()
static RequestableChannelClassSpec | conferenceTextChatWithInvitees ()
static RequestableChannelClassSpec | conferenceTextChatroom ()
static RequestableChannelClassSpec | conferenceTextChatroomWithInvitees ()
static RequestableChannelClassSpec | conferenceStreamedMediaCall ()
static RequestableChannelClassSpec | conferenceStreamedMediaCallWithInvitees ()
static RequestableChannelClassSpec | contactSearch ()
static RequestableChannelClassSpec | contactSearchWithSpecificServer ()
static RequestableChannelClassSpec | contactSearchWithLimit ()
static RequestableChannelClassSpec | contactSearchWithSpecificServerAndLimit ()
static RequestableChannelClassSpec | dbusTube (const QString &serviceName=QString())
static RequestableChannelClassSpec | streamTube (const QString &service=QString())

## Detailed Description

The RequestableChannelClassSpec class represents a Telepathy requestable channel class.

## Constructor & Destructor Documentation

## § RequestableChannelClassSpec() [1/3]

Tp::RequestableChannelClassSpec::RequestableChannelClassSpec | ( |  | ) |

## § RequestableChannelClassSpec() [2/3]

Tp::RequestableChannelClassSpec::RequestableChannelClassSpec | ( | const RequestableChannelClass & | rcc | ) |

## § RequestableChannelClassSpec() [3/3]

Tp::RequestableChannelClassSpec::RequestableChannelClassSpec | ( | const RequestableChannelClassSpec & | other | ) |

## § ~RequestableChannelClassSpec()

Tp::RequestableChannelClassSpec::~RequestableChannelClassSpec | ( |  | ) |

## Member Function Documentation

## § textChat()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::textChat | ( |  | ) |

static

## § textChatroom()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::textChatroom | ( |  | ) |

static

## § audioCall()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::audioCall | ( |  | ) |

static

## § audioCallWithVideoAllowed()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::audioCallWithVideoAllowed | ( |  | ) |

static

## § videoCall()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::videoCall | ( |  | ) |

static

## § videoCallWithAudioAllowed()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::videoCallWithAudioAllowed | ( |  | ) |

static

## § streamedMediaCall()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::streamedMediaCall | ( |  | ) |

static

## § streamedMediaAudioCall()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::streamedMediaAudioCall | ( |  | ) |

static

## § streamedMediaVideoCall()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::streamedMediaVideoCall | ( |  | ) |

static

## § streamedMediaVideoCallWithAudio()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::streamedMediaVideoCallWithAudio | ( |  | ) |

static

## § fileTransfer()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::fileTransfer | ( |  | ) |

static

## § conferenceTextChat()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::conferenceTextChat | ( |  | ) |

static

## § conferenceTextChatWithInvitees()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::conferenceTextChatWithInvitees | ( |  | ) |

static

## § conferenceTextChatroom()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::conferenceTextChatroom | ( |  | ) |

static

## § conferenceTextChatroomWithInvitees()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::conferenceTextChatroomWithInvitees | ( |  | ) |

static

## § conferenceStreamedMediaCall()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::conferenceStreamedMediaCall | ( |  | ) |

static

## § conferenceStreamedMediaCallWithInvitees()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::conferenceStreamedMediaCallWithInvitees | ( |  | ) |

static

## § contactSearch()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::contactSearch | ( |  | ) |

static

## § contactSearchWithSpecificServer()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::contactSearchWithSpecificServer | ( |  | ) |

static

## § contactSearchWithLimit()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::contactSearchWithLimit | ( |  | ) |

static

## § contactSearchWithSpecificServerAndLimit()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::contactSearchWithSpecificServerAndLimit | ( |  | ) |

static

## § dbusTube()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::dbusTube | ( | const QString & | serviceName = `QString()` | ) |

static

## § streamTube()

RequestableChannelClassSpec Tp::RequestableChannelClassSpec::streamTube | ( | const QString & | service = `QString()` | ) |

static

## § isValid()

bool Tp::RequestableChannelClassSpec::isValid | ( |  | ) | const

inline

## § operator=()

RequestableChannelClassSpec & Tp::RequestableChannelClassSpec::operator= | ( | const RequestableChannelClassSpec & | other | ) |

## § operator==()

bool Tp::RequestableChannelClassSpec::operator== | ( | const RequestableChannelClassSpec & | other | ) | const

## § supports()

bool Tp::RequestableChannelClassSpec::supports | ( | const RequestableChannelClassSpec & | spec | ) | const

## § channelType()

QString Tp::RequestableChannelClassSpec::channelType | ( |  | ) | const

## § hasTargetHandleType()

bool Tp::RequestableChannelClassSpec::hasTargetHandleType | ( |  | ) | const

## § targetHandleType()

HandleType Tp::RequestableChannelClassSpec::targetHandleType | ( |  | ) | const

## § hasFixedProperty()

bool Tp::RequestableChannelClassSpec::hasFixedProperty | ( | const QString & | name | ) | const

## § fixedProperty()

QVariant Tp::RequestableChannelClassSpec::fixedProperty | ( | const QString & | name | ) | const

## § fixedProperties()

QVariantMap Tp::RequestableChannelClassSpec::fixedProperties | ( |  | ) | const

## § allowsProperty()

bool Tp::RequestableChannelClassSpec::allowsProperty | ( | const QString & | name | ) | const

## § allowedProperties()

QStringList Tp::RequestableChannelClassSpec::allowedProperties | ( |  | ) | const

## § bareClass()

RequestableChannelClass Tp::RequestableChannelClassSpec::bareClass | ( |  | ) | const